Page MenuHomeSolus

Update ibus to 1.5.27 and enable gtk4 support
DraftPublic

Authored by GZGavinZhao on Sep 6 2022, 10:57 PM.
This is a draft revision that has not yet been submitted for review.

Details

Reviewers
None
Group Reviewers
Triage Team
Summary

Update ibus to 1.5.27 and enable gtk4 support so that users can now type (e.g. Chinese, Korean, etc.) using their favorite IME in GTK4 apps.

Test Plan

ibus-rime and ibus-libpinyin runs fine on Budgie. Still needs testing on Plasma.

Signed-off-by: Gavin Zhao <git@gzgz.dev>

Diff Detail

Repository
R1444 ibus
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4348
Build 4348: arc lint + arc unit